Package com.emc.documentum.rest.security.ticket

# Class ClientTokenAuthToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
com.emc.documentum.rest.security.ticket.ClientTokenAuthToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `org.springframework.security.core.Authentication`, `org.springframework.security.core.CredentialsContainer`

public class ClientTokenAuthToken extends org.springframework.security.authentication.AbstractAuthenticationToken
Client token authentication token

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

  `org.springframework.security.authentication.AbstractAuthenticationToken.AbstractAuthenticationBuilder<B extends org.springframework.security.authentication.AbstractAuthenticationToken.AbstractAuthenticationBuilder<B>>`

  ## Nested classes/interfaces inherited from interface org.springframework.security.core.Authentication

  `org.springframework.security.core.Authentication.Builder<B extends org.springframework.security.core.Authentication.Builder<B>>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientTokenAuthToken(org.springframework.security.authentication.AbstractAuthenticationToken token, ClientToken clientToken, boolean setbackNeeded)`
  Constructor for client token authentication token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClientToken`
  `getClientToken()`
  Get the client token.
  `String`
  `getCookieUUID()`
  get the cookie UUID.
  `Object`
  `getCredentials()`
  Get the documentum login ticket.
  `Object`
  `getPrincipal()`
  Get the user principal.
  `String`
  `getRedirectUri()`
  Get redirect URI.
  `boolean`
  `isSetbackNeeded()`
  Get the flag on whether to set back the client token cookie.
  `void`
  `setCookieUUID(String cookieUUID)`
  set the cookie UUID.
  `void`
  `setRedirectUri(String redirectUri)`
  Set the redirect URI.
  `void`
  `setSetbackNeeded(boolean setbackNeeded)`
  Set whether need to set back the client token as a cookie.

  ### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

  `equals, eraseCredentials, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setAuthenticated, setDetails, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.springframework.security.core.Authentication

  `toBuilder`

  ### Methods inherited from interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### ClientTokenAuthToken

    public ClientTokenAuthToken(org.springframework.security.authentication.AbstractAuthenticationToken token, ClientToken clientToken, boolean setbackNeeded)
    Constructor for client token authentication token.
    Parameters:
      `token` - the initial authentication token
      `clientToken` - client token
      `setbackNeeded` - a flag indicates whether to set back the client token cookie

- ## Method Details

  - ### getCredentials

    public Object getCredentials()
    Get the documentum login ticket.
    Returns:
      the documentum login ticket

  - ### getPrincipal

    public Object getPrincipal()
    Get the user principal.
    Returns:
      the user principal

  - ### getClientToken

    public ClientToken getClientToken()
    Get the client token.
    Returns:
      the client token

  - ### isSetbackNeeded

    public boolean isSetbackNeeded()
    Get the flag on whether to set back the client token cookie.
    Returns:
      true indicates to set back the cookie; false for otherwise

  - ### setCookieUUID

    public void setCookieUUID(String cookieUUID)
    set the cookie UUID.
    Parameters:
      `cookieUUID` -

  - ### getCookieUUID

    public String getCookieUUID()
    get the cookie UUID.
    Returns:
      cookieUUID

  - ### setSetbackNeeded

    public void setSetbackNeeded(boolean setbackNeeded)
    Set whether need to set back the client token as a cookie.
    Parameters:
      `setbackNeeded` - true indicates to set back the cookie; false for otherwise

  - ### setRedirectUri

    public void setRedirectUri(String redirectUri)
    Set the redirect URI.
    Parameters:
      `redirectUri` - the redirect URI

  - ### getRedirectUri

    public String getRedirectUri()
    Get redirect URI.
    Returns:
      the redirect URI